## chatty 0.1.16

=== debian/changelog ===
chatty (0.1.16-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Update to latest 0.1.16 release
  * Remove upstreamed patches (fix missing main category in desktop file)

  [ Henry-Nicolas Tourneur ]
  * Source only upload to unstable
  * d/copyright,watch: stop excluding protocol pictures, those are removed
    upstream.

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 29 Oct 2020 18:06:46 +0100

chatty (0.1.14+dfsg0-1) experimental; urgency=medium

  [ Evangelos Ribeiro Tzaras]
  * Initial Debian release (Closes: #960486)

  [ Henry-Nicolas Tourneur ]
  * Removed unused icons with unclear copyright from tarball

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 14 Jul 2020 21:36:05 +0200

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/v(\d\S+)\/chatty.*\.tar\.gz/chatty-$1\.tar\.gz/g \
https://source.puri.sm/Librem5/chatty/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## chatty 0.7.0

=== meson_options.txt ===
option('purple', type: 'feature', value: 'auto', description: 'Enable libpurple plugin')

## chatty 0.1.17

=== debian/changelog ===
chatty (0.1.17-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Update to version 0.1.17

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 03 Nov 2020 17:03:04 +0100

=== debian/control ===
Source: chatty
Section: net
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
Build-Depends:
 appstream,
 appstream-util,
 debhelper-compat (= 13),
 desktop-file-utils,
 help2man,
 libebook-contacts1.2-dev,
 libebook1.2-dev,
 libfeedback-dev,
 libgtk-3-dev,
 libhandy-0.0-dev (>= 0.0.10),
 libpurple-dev,
 libsqlite3-dev,
 gsettings-desktop-schemas-dev,
 meson,
Standards-Version: 4.5.0
Homepage: https://source.puri.sm/Librem5/chatty
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/chatty
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/chatty.git
Rules-Requires-Root: no

Package: chatty
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 purple-carbons,
 purple-lurch,
 purple-mm-sms,
 purple-xmpp-http-upload,
Suggests:
 gnome-calls,
Description: XMPP and SMS messaging
 Chatty is a chat application for XMPP and SMS using
 libpurple and Modemmanager.

## chatty 0.2.0

=== debian/changelog ===
chatty (0.2.0-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * Update to version 0.2.0
  [ Henry-Nicolas Tourneur ]
  * Fix incorrect recommend package name (Closes: #973832)

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 27 Nov 2020 11:04:40 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
  libebook1.2-dev,
  libfeedback-dev,
  libgtk-3-dev,
- libhandy-0.0-dev (>= 0.0.10),
+ libhandy-1-dev (>= 1.0.0),
  libpurple-dev,
+ libphonenumber-dev,
  libsqlite3-dev,
  gsettings-desktop-schemas-dev,
  meson,
@@ -31,12 +32,14 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- purple-carbons,
  purple-lurch,
  purple-mm-sms,
+ purple-xmpp-carbons,
  purple-xmpp-http-upload,
 Suggests:
  gnome-calls,
 Description: XMPP and SMS messaging
- Chatty is a chat application for XMPP and SMS using
- libpurple and Modemmanager.
+ Chatty is a GTK based chat application supporting SMS and XMPP.
+ .
+ It works on desktops but also adjusts to small screen sizes like smart phones
+ and other mobile devices.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=_build

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/purple-2

# Generate manpage with help2man
override_dh_installman:
	mkdir -p debian/chatty/usr/share/man/man1
	help2man --no-info --name "XMPP and SMS messaging" --section=1 \
		debian/chatty/usr/bin/chatty > \
		debian/chatty/usr/share/man/man1/chatty.1

## chatty 0.4.0

=== debian/changelog ===
chatty (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * d/control: Bump standards version (no changes needed)

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 13 Sep 2021 09:36:31 +0200

chatty (0.4.0~beta2-1) experimental; urgency=medium

  * New upstream version 0.4.0~beta2
  * d/control: Add libgspell-1-dev build dependency

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 31 Aug 2021 23:30:07 +0200

chatty (0.3.4-2) unstable; urgency=medium

  * ci: No need to use experimental anymore
  * Upload to unstable

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 26 Aug 2021 17:47:00 +0200

chatty (0.3.4-1) experimental; urgency=medium

  * New upstream version 0.3.4

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 10 Aug 2021 14:39:19 +0200

chatty (0.3.3-1) experimental; urgency=medium

  * New upstream version 0.3.3
  * d/patches: Remove empty series file
  * d/control: Bump standard-versions to 4.5.1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 17 Jul 2021 16:59:13 +0200

chatty (0.3.2-1) experimental; urgency=medium

  * New upstream version 0.3.2

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 29 Jun 2021 18:57:19 +0200

chatty (0.3.1-1) experimental; urgency=medium

  * New upstream version 0.3.1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 29 May 2021 21:02:08 +0200

chatty (0.3.0-1) experimental; urgency=medium

  * d/gbp.conf: Use pristine tar by default
  * New upstream version 0.3.0

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 09 May 2021 21:20:19 +0200

chatty (0.3.0~beta2-1) experimental; urgency=medium

  [ Henry-Nicolas Tourneur ]
  * d/changelog: remove duplicate line

  [ Evangelos Ribeiro Tzaras ]
  * d/control: Bump required libhandy dependency
  * Update to 0.3.0~beta1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Wed, 14 Apr 2021 22:55:30 +0200

chatty (0.3.0~beta-1) experimental; urgency=medium

  * d/control: Update dependencies for latest version
  * d/rules: Use xvfb-run for the test suite
  * Upload to experimental

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 26 Mar 2021 10:01:39 +0100

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,27 @@
  appstream-util,
  debhelper-compat (= 13),
  desktop-file-utils,
+ gsettings-desktop-schemas-dev,
  help2man,
  libebook-contacts1.2-dev,
  libebook1.2-dev,
  libfeedback-dev,
+ libgcrypt20-dev,
+ libgspell-1-dev,
  libgtk-3-dev,
- libhandy-1-dev (>= 1.0.0),
+ libhandy-1-dev (>= 1.1.90),
+ libjson-glib-dev,
+ libmm-glib-dev (>= 1.12.0),
+ libolm-dev,
+ libphonenumber-dev,
  libpurple-dev,
- libphonenumber-dev,
+ libsecret-1-dev,
+ libsoup2.4-dev,
  libsqlite3-dev,
- gsettings-desktop-schemas-dev,
  meson,
-Standards-Version: 4.5.0
+ xauth,
+ xvfb,
+Standards-Version: 4.6.0
 Homepage: https://source.puri.sm/Librem5/chatty
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/chatty
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/chatty.git

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,8 @@
 	help2man --no-info --name "XMPP and SMS messaging" --section=1 \
 		debian/chatty/usr/bin/chatty > \
 		debian/chatty/usr/share/man/man1/chatty.1
+
+# otherwise the tests running gtk-builder-tool to validate
+# .ui files might fail
+override_dh_auto_test:
+	xvfb-run dh_auto_test

## chatty 0.6.0

=== debian/changelog ===
chatty (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0 (Closes: #1002241)
  * d/control: Add itstool and dbus-x11 as build dependency
  * d/rules: Set NO_AT_BRIDGE=1 for tests

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Wed, 26 Jan 2022 17:51:14 +0100

chatty (0.5.0~beta3-1) experimental; urgency=medium

  * d/control: Drop purple-mm-sms from recommends
  * d/rules: Force locale for tests to fix reprotest failure
  * New upstream version 0.5.0~beta3
  * d/control: Recommend mmsd-tng
  * d/patches: Remove patches applied by upstream

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 10 Dec 2021 17:08:06 +0100

chatty (0.5.0~beta-1) experimental; urgency=medium

  * New upstream version 0.5.0~beta
  * d/control: Add libgnome-desktop-3-dev build dependency
  * lintian: Fix custom-library-search-path override
  * d/patches: Use platform independent size types

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 19 Nov 2021 17:13:01 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,17 @@
 Build-Depends:
  appstream,
  appstream-util,
+ dbus-x11,
  debhelper-compat (= 13),
  desktop-file-utils,
  gsettings-desktop-schemas-dev,
  help2man,
+ itstool,
  libebook-contacts1.2-dev,
  libebook1.2-dev,
  libfeedback-dev,
  libgcrypt20-dev,
+ libgnome-desktop-3-dev,
  libgspell-1-dev,
  libgtk-3-dev,
  libhandy-1-dev (>= 1.1.90),
@@ -41,8 +44,8 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ mmsd-tng,
  purple-lurch,
- purple-mm-sms,
  purple-xmpp-carbons,
  purple-xmpp-http-upload,
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,4 @@
 # otherwise the tests running gtk-builder-tool to validate
 # .ui files might fail
 override_dh_auto_test:
-	xvfb-run dh_auto_test
+	NO_AT_BRIDGE=1 LANGUAGE=C.UTF-8 xvfb-run dh_auto_test

## chatty 0.6.1

=== debian/changelog ===
chatty (0.6.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Set upstream metadata fields: Repository.

  [ Evangelos Ribeiro Tzaras ]
  * d/gbp.conf: Sign tags when importing new tarball
  * New upstream version 0.6.1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 08 Feb 2022 18:25:51 +0100

## chatty 0.6.2

=== debian/changelog ===
chatty (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * d/gbp.conf: Sign tags by default

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 07 Mar 2022 10:09:00 +0100

## chatty 0.6.3

=== debian/changelog ===
chatty (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Patch out clock test which fails on some architectures

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 29 Mar 2022 16:37:54 +0200

## chatty 0.6.4

=== debian/changelog ===
chatty (0.6.4-1) unstable; urgency=medium

  [ Richard Laager ]
  * Update for multiarch libpurple0 2.14.9-1 (Closes: 1011166)
    Thanks to Paul Gevers

  [ Evangelos Ribeiro Tzaras ]
  * New upstream version 0.6.4
  * Declare compliance with Debian Policy 4.6.1
  * Remove unneeded dh_shlibdeps override

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 19 May 2022 23:58:49 +0200

## chatty 0.6.6

=== debian/changelog ===
chatty (0.6.6-1) unstable; urgency=medium

  * New upstream version 0.6.6

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 18 Jun 2022 11:37:07 +0200

## chatty 0.6.7

=== debian/changelog ===
chatty (0.6.7-1ubuntu1) kinetic; urgency=medium

  * Cherry-pick patch to fix build with gnome-desktop 43 (Closes: #1016171)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 01 Aug 2022 16:31:42 -0400

chatty (0.6.7-1) unstable; urgency=medium

  * New upstream version 0.6.7

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 26 Jun 2022 13:21:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: chatty
 Section: net
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
 Build-Depends:
@@ -25,14 +26,14 @@
  libmm-glib-dev (>= 1.12.0),
  libolm-dev,
  libphonenumber-dev,
- libpurple-dev,
+ libpurple-dev (>= 2.14.9),
  libsecret-1-dev,
  libsoup2.4-dev,
  libsqlite3-dev,
  meson,
  xauth,
  xvfb,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://source.puri.sm/Librem5/chatty
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/chatty
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/chatty.git

## chatty 0.7.0~rc0

=== debian/changelog ===
chatty (0.7.0~rc0-1~build1) kinetic; urgency=medium

  * Backport to kinetic

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 20 Oct 2022 10:58:41 -0400

chatty (0.7.0~rc0-1) unstable; urgency=medium

  * New upstream version 0.7.0~rc0
    Closes: #1018134, thanks Jeremy Bicha!
    Closes: #1020063, thanks Lucas Nussbaum!
  * Remove upstreamed patches

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 18 Oct 2022 17:17:25 +0200

chatty (0.6.7-2) unstable; urgency=medium

  * Mark as team upload
  * utils: update for GNOME Desktop 43 thumbnail API changes.
    Thanks to Jeremy Bicha for the patch. (Closes: #1016171)
  * d/rules: Use gsettings memory backend
    This avoids test failures when dconf backend can't be written.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Aug 2022 10:28:06 +0200

## chatty 0.7.0~rc1

=== debian/changelog ===
chatty (0.7.0~rc1-1) unstable; urgency=medium

  * New upstream version 0.7.0~rc1

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 28 Oct 2022 10:20:52 +0200

## chatty 0.7.0~rc2

=== debian/changelog ===
chatty (0.7.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate 0.7.0~rc2

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 07 Nov 2022 23:02:57 +0100

## chatty 0.7.0~rc3

=== debian/changelog ===
chatty (0.7.0~rc3-1) unstable; urgency=medium

  * d/gbp.conf: Add upstream-vcs-tag

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 11 Nov 2022 13:52:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: chatty
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
 Build-Depends:

## chatty 0.7.0~rc4

=== debian/changelog ===
chatty (0.7.0~rc4-1build1) lunar; urgency=medium

  * No-change rebuild against libphonenumber8-protobuf32.

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:23:23 +0000

chatty (0.7.0~rc4-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * d/watch: Mangle upstream version

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Tue, 06 Dec 2022 14:54:27 +0100

## chatty 0.7.0~rc5

=== debian/changelog ===
chatty (0.7.0~rc5-1) unstable; urgency=medium

  * New upstream release candidate 0.7.0~rc5

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 13 Jan 2023 10:49:42 +0100

## chatty 0.7.0

=== debian/changelog ===
chatty (0.7.0-1) unstable; urgency=medium

  * New upstream release 0.7.0
    Includes fixes for
    - Not showing notifications for unread messages in matrix
    - Double messages in matrix

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Mon, 20 Feb 2023 20:03:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 %:
 	dh $@ --builddirectory=_build
-
-override_dh_shlibdeps:
-	dh_shlibdeps -l/usr/lib/purple-2
 
 # Generate manpage with help2man
 override_dh_installman:
@@ -18,4 +15,4 @@
 # otherwise the tests running gtk-builder-tool to validate
 # .ui files might fail
 override_dh_auto_test:
-	NO_AT_BRIDGE=1 LANGUAGE=C.UTF-8 xvfb-run dh_auto_test
+	GSETTINGS_BACKEND=memory NO_AT_BRIDGE=1 LANGUAGE=C.UTF-8 xvfb-run dh_auto_test

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(alpha|beta|rc)/~$1/, \
  filenamemangle=s/.*\/archive\/v(\d\S+)\/chatty.*\.tar\.gz/chatty-$1\.tar\.gz/g" \
https://source.puri.sm/Librem5/chatty/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## chatty 0.7.3

=== debian/changelog ===
chatty (0.7.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 13 Jul 2023 11:44:18 +0200

chatty (0.7.3-1) experimental; urgency=medium

  * New upstream release

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 14 May 2023 11:50:31 +0200

chatty (0.7.2-1) experimental; urgency=medium

  * New upstream release 0.7.2

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Fri, 17 Mar 2023 19:04:34 +0100

## chatty 0.8.0

=== debian/changelog ===
chatty (0.8.0-1) unstable; urgency=medium

  * New upstream release 0.8.0
  * d/watch: Point to new location of Chatty
  * d/control: update libgtk-4-dev dependency
  * d/README.source: Update to include subproject
  * d/copyright: Clean up copyrights to make lintian happy
  * d/control: add libxml2-utils as build dependency
  * d/patches: Clean up patches
  * d/control: Update standards to 4.6.2

 -- Christopher Talbot <chris@talbothome.com>  Tue, 19 Dec 2023 10:09:19 -0700

chatty (0.8.0~rc0-1~exp) experimental; urgency=medium

  * New upstream release
    This releases now uses GTK4 and libadwaita
    and there might be the odd bug is to be expected
  * d/copyright: Update to include libcmatrix and other new files
  * d/control: Update build deps for GTK4
  * d/control: Update description
  * Revert "d/rules: Use gsettings memory backend"
  * d/rules: Update help2man title description
  * d/rules: Allow GTK4 based tests to pass
  * d/patches: Fix build issues on i386
  * d/patches: Add logging to help diagnose reprotest CI failure

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 15 Oct 2023 20:34:09 +0200

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,19 @@
  dbus-x11,
  debhelper-compat (= 13),
  desktop-file-utils,
+ gnupg (>= 2) | gnupg2,
  gsettings-desktop-schemas-dev,
  help2man,
  itstool,
+ libadwaita-1-dev (>= 1.2.0),
  libebook-contacts1.2-dev,
  libebook1.2-dev,
  libfeedback-dev,
  libgcrypt20-dev,
- libgnome-desktop-3-dev,
+ libglib2.0-dev (>= 2.66),
+ libgnome-desktop-4-dev,
  libgspell-1-dev,
- libgtk-3-dev,
- libhandy-1-dev (>= 1.1.90),
+ libgtk-4-dev (>= 4.8),
  libjson-glib-dev,
  libmm-glib-dev (>= 1.12.0),
  libolm-dev,
@@ -28,11 +30,12 @@
  libpurple-dev (>= 2.14.9),
  libsecret-1-dev,
  libsoup2.4-dev,
- libsqlite3-dev,
- meson,
+ libsqlite3-dev (>= 3.0.0),
+ libxml2-utils,
+ meson (>= 0.56),
  xauth,
  xvfb,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://source.puri.sm/Librem5/chatty
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/chatty
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/chatty.git
@@ -50,8 +53,9 @@
  purple-xmpp-http-upload,
 Suggests:
  gnome-calls,
-Description: XMPP and SMS messaging
- Chatty is a GTK based chat application supporting SMS and XMPP.
+Description: Messaging application for mobile and desktop
+ Chatty is a simple to use to messaging app for 1:1 communication and small
+ groups supporting SMS, MMS, XMPP and Matrix.
  .
  It works on desktops but also adjusts to small screen sizes like smart phones
  and other mobile devices.

## chatty 0.8.2

=== subprojects/libcmatrix/meson_options.txt ===
# Subproject
option('package_subdir', type: 'string',
  description: 'Subdirectory to append to all installed files, for use as subproject'
)
option('build-examples', type: 'boolean', value: true, description : 'Build examples')
option('soup2', type: 'boolean', value: false, description: 'Whether to build with libsoup2')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference')

=== debian/changelog ===
chatty (0.8.2-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:39 +1100

chatty (0.8.2-1ubuntu1) noble; urgency=high

  * Bump local shlibs for libpurple0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 23 Mar 2024 19:54:43 +0100

chatty (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * d/patches: reformat patches to apply
  * d/control: Add gstreamer as dependency, enforce libadwaita to be 1.4 or newer
  * d/upsteam/metadata: Update metadata

 -- Chris Talbot <chris@talbothome.com>  Sun, 17 Mar 2024 20:21:04 -0600

chatty (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * d/control: update libgtk-4-dev dependency
  * d/control: add myself as an uploader

 -- Christopher Talbot <chris@talbothome.com>  Tue, 23 Jan 2024 10:13:31 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: chatty
 Section: net
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
+ Christopher Talbot <chris@talbothome.com>,
 Build-Depends:
  appstream,
  appstream-util,
@@ -14,15 +16,16 @@
  gsettings-desktop-schemas-dev,
  help2man,
  itstool,
- libadwaita-1-dev (>= 1.2.0),
+ libadwaita-1-dev (>= 1.4.0),
  libebook-contacts1.2-dev,
  libebook1.2-dev,
  libfeedback-dev,
  libgcrypt20-dev,
  libglib2.0-dev (>= 2.66),
  libgnome-desktop-4-dev,
+ libgstreamer1.0-dev,
  libgspell-1-dev,
- libgtk-4-dev (>= 4.8),
+ libgtk-4-dev (>= 4.10),
  libjson-glib-dev,
  libmm-glib-dev (>= 1.12.0),
  libolm-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=_build

# Generate manpage with help2man
override_dh_installman:
	mkdir -p debian/chatty/usr/share/man/man1
	help2man --no-info --name "SMS/MMS and Matrix messaging" --section=1 \
		debian/chatty/usr/bin/chatty > \
		debian/chatty/usr/share/man/man1/chatty.1

# otherwise the tests running gtk-builder-tool to validate
# .ui files might fail
override_dh_auto_test:
	GTK_A11Y=none NO_AT_BRIDGE=1 LANGUAGE=C.UTF-8 xvfb-run -a -s "-noreset" dh_auto_test

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(alpha|beta|rc)/~$1/, \
  filenamemangle=s/.*\/archive\/v(\d\S+)\/chatty.*\.tar\.gz/chatty-$1\.tar\.gz/g" \
https://gitlab.gnome.org/World/Chatty/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## chatty 0.8.3

=== debian/changelog ===
chatty (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * d/control: update dependencies for chatty

 -- Christopher Talbot <chris@talbothome.com>  Sat, 04 May 2024 14:43:59 -0600

chatty (0.8.2-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Julian Andres Klode ]
  * Bump local shlibs for libpurple0t64. (Closes: #1068219)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Apr 2024 23:05:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: chatty
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
  Christopher Talbot <chris@talbothome.com>,
@@ -21,18 +20,20 @@
  libebook1.2-dev,
  libfeedback-dev,
  libgcrypt20-dev,
- libglib2.0-dev (>= 2.66),
+ libglib2.0-dev (>= 2.78),
  libgnome-desktop-4-dev,
  libgstreamer1.0-dev,
  libgspell-1-dev,
  libgtk-4-dev (>= 4.10),
+ libgtksourceview-5-dev (>= 5.4.0),
  libjson-glib-dev,
  libmm-glib-dev (>= 1.12.0),
  libolm-dev,
  libphonenumber-dev,
  libpurple-dev (>= 2.14.9),
  libsecret-1-dev,
- libsoup2.4-dev,
+ libsoup-3.0-dev,
+ libspelling-1-dev,
  libsqlite3-dev (>= 3.0.0),
  libxml2-utils,
  meson (>= 0.56),

## chatty 0.8.4

=== debian/changelog ===
chatty (0.8.4-1) unstable; urgency=medium

  * New upstream release
  * d/watch: Conform to new watch file for gitlab

 -- Christopher Talbot <chris@talbothome.com>  Sun, 07 Jul 2024 16:03:29 -0600

## chatty 0.8.5

=== debian/changelog ===
chatty (0.8.5-1build1) oracular; urgency=medium

  * Rebuild against latest libspelling

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Sep 2024 16:07:54 -0400

chatty (0.8.5-1) unstable; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * New upstream release
  * d/control: Tighten adwaita dependency to >= 1.5

  [ Chris Talbot ]
  * d/control: recommend libgdk-pixbuf2.0-bin

  [ Guido Günther ]
  * packaging: Add build profiles to disable libpurple
  * packaging: Add a build profile to disable libcmatrix deps

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 22 Aug 2024 00:32:39 +0200

## chatty 0.8.6~rc.0

=== debian/changelog ===
chatty (0.8.6~rc.0-2) unstable; urgency=medium

  * chatty-file-item: Don't assume mime type is set.
    Otherwise we crash with every matrix attachment
    download. (Closes: #1096022)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2025 12:32:54 +0100

chatty (0.8.6~rc.0-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Drop patches applied upstream

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sat, 16 Nov 2024 13:58:00 +0100

chatty (0.8.5-2) unstable; urgency=medium

  * Fix and enable clock test

 -- Guido Günther <agx@sigxcpu.org>  Tue, 08 Oct 2024 10:01:51 +0200

## chatty 0.8.6

=== meson_options.txt ===
option('purple', type: 'feature', value: 'auto', description: 'Enable libpurple plugin')
option('profile', type: 'combo', choices: ['default','devel'], value: 'default')
option('tests', type: 'boolean', value: true)

=== debian/changelog ===
chatty (0.8.6-1) unstable; urgency=medium

  * New upstream release
  * d/patches: Remove patches applied upstream

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Sun, 23 Feb 2025 17:17:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifneq ($(filter pkg.chatty.nopurple,$(DEB_BUILD_PROFILES)),)
+    MESON_OPTS += -Dpurple=disabled
+else
+    MESON_OPTS += -Dpurple=enabled
+endif
 
 %:
 	dh $@ --builddirectory=_build
@@ -12,6 +18,12 @@
 		debian/chatty/usr/bin/chatty > \
 		debian/chatty/usr/share/man/man1/chatty.1
 
+override_dh_auto_configure:
+	dh_auto_configure -- $(MESON_OPTS)
+
+override_dh_shlibdeps:
+	dh_shlibdeps -l/usr/lib/purple-2
+
 # otherwise the tests running gtk-builder-tool to validate
 # .ui files might fail
 override_dh_auto_test:

## chatty 0.8.7

=== meson_options.txt ===
option('purple', type: 'feature', value: 'auto',
       description: 'Enable libpurple plugin')

option('profile', type: 'combo', choices: ['default','devel'], value: 'default')

option('tests', type: 'boolean', value: true,
       description: 'Whether to run the testsuite')

option('gtk_doc', type: 'boolean', value: false,
       description: 'Whether to generate the API reference for Chatty')

=== subprojects/libcmatrix/meson_options.txt ===
option('build-examples', type: 'boolean', value: true, description : 'Build examples')
option('build-tests', type: 'boolean', value: true, description : 'Build tests')
option('introspection', type: 'boolean', value: false,
       description : 'Build introspection data (requires gobject-introspection)')
option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference')

=== debian/changelog ===
chatty (0.8.7-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * autopkgtest: switch from xfvb-run to xwfb-run
    happens to avoid stderr output with gtk4 4.20

  [ Guido Günther ]
  * Remove Rules-Requires-Root
  * Bump standards version
  * d/control: Wrap and sort

 -- Guido Günther <agx@sigxcpu.org>  Fri, 05 Sep 2025 08:37:38 +0200

chatty (0.8.7-2) unstable; urgency=medium

  * d/patches: Revert app ID patch (Closes: #1103417)
  * debian: Add maintscript to remove duplicate xdg autostart entry

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Wed, 30 Apr 2025 13:31:01 +0200

chatty (0.8.7-1) unstable; urgency=medium

  * New upstream release
  * d/rules: Build manppage under xvfb-run

 -- Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>  Thu, 10 Apr 2025 21:14:09 +0200

=== debian/control ===
--- 
+++ 
@@ -6,44 +6,43 @@
  Evangelos Ribeiro Tzaras <devrtz-debian@fortysixandtwo.eu>,
  Christopher Talbot <chris@talbothome.com>,
 Build-Depends:
+ debhelper-compat (= 13),
  appstream,
  appstream-util,
  dbus-x11,
- debhelper-compat (= 13),
  desktop-file-utils,
  gnupg (>= 2) | gnupg2,
  gsettings-desktop-schemas-dev,
  help2man,
  itstool,
- libadwaita-1-dev (>= 1.4.0),
+ libadwaita-1-dev (>= 1.5.0),
  libebook-contacts1.2-dev,
  libebook1.2-dev,
  libfeedback-dev,
- libgcrypt20-dev,
+ libgcrypt20-dev <!pkg.chatty.nocmatrix>,
  libglib2.0-dev (>= 2.78),
- libgnome-desktop-4-dev,
+ libgnome-desktop-4-dev (>= 43),
+ libgspell-1-dev,
  libgstreamer1.0-dev,
- libgspell-1-dev,
  libgtk-4-dev (>= 4.10),
  libgtksourceview-5-dev (>= 5.4.0),
- libjson-glib-dev,
+ libjson-glib-dev <!pkg.chatty.nocmatrix>,
  libmm-glib-dev (>= 1.12.0),
- libolm-dev,
+ libolm-dev <!pkg.chatty.nocmatrix>,
  libphonenumber-dev,
- libpurple-dev (>= 2.14.9),
- libsecret-1-dev,
- libsoup-3.0-dev,
+ libpurple-dev (>= 2.14.9) <!pkg.chatty.nopurple>,
+ libsecret-1-dev <!pkg.chatty.nocmatrix>,
+ libsoup-3.0-dev <!pkg.chatty.nocmatrix>,
  libspelling-1-dev,
  libsqlite3-dev (>= 3.0.0),
  libxml2-utils,
  meson (>= 0.56),
  xauth,
  xvfb,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://source.puri.sm/Librem5/chatty
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/chatty
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/chatty.git
-Rules-Requires-Root: no
 
 Package: chatty
 Architecture: any
@@ -51,6 +50,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ libgdk-pixbuf2.0-bin,
  mmsd-tng,
  purple-lurch,
  purple-xmpp-carbons,

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # Generate manpage with help2man
 override_dh_installman:
 	mkdir -p debian/chatty/usr/share/man/man1
-	help2man --no-info --name "SMS/MMS and Matrix messaging" --section=1 \
+	xvfb-run help2man --no-info --name "SMS/MMS and Matrix messaging" --section=1 \
 		debian/chatty/usr/bin/chatty > \
 		debian/chatty/usr/share/man/man1/chatty.1

=== debian/tests/control ===
Test-Command: xwfb-run -- /usr/bin/chatty --help
Restrictions:
 superficial,
Depends:
 chatty,
 xauth,
 xwayland-run,
